import { BuildResponse, Config } from "@visual-regression-tracker/sdk-js";
import { Page, ElementHandle } from "playwright";
import { PageTrackOptions, ElementHandleTrackOptions } from "./playwright.interfaces";
export declare class PlaywrightVisualRegressionTracker {
    private vrt;
    private browser;
    constructor(browserName: string, config?: Config);
    start(): Promise<BuildResponse>;
    stop(): Promise<void>;
    trackPage(page: Pick<Page, "viewportSize" | "screenshot">, name: string, options?: PageTrackOptions, retryCount?: number): Promise<import("@visual-regression-tracker/sdk-js/dist/testRunResult").default>;
    trackElementHandle(elementHandle: ElementHandle | null, name: string, options?: ElementHandleTrackOptions, retryCount?: number): Promise<import("@visual-regression-tracker/sdk-js/dist/testRunResult").default>;
}
